Package uk.ac.starlink.vo

# Class ForeignMeta.Link

java.lang.Object
uk.ac.starlink.vo.ForeignMeta.Link

Enclosing class:
  ForeignMeta

public static class ForeignMeta.Link extends Object
Represents a linkage from a column in the source table to a column in the target table.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Link()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFrom()`
Returns the name of the source column.
`String`
`getTarget()`
Returns the name of the destination column.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Link

protected Link()

## Method Details

### getFrom

public String getFrom()
Returns the name of the source column.

Returns:
  from column name

### getTarget

public String getTarget()
Returns the name of the destination column.

Returns:
  to column name

### toString

public String toString()

Overrides:
  `toString` in class `Object`